<p align="center">
<img src="https://raw.github.com/maestrano/maestrano-ruby/master/maestrano.png" alt="Maestrano Logo">
<br/>
<br/>
</p>

# Nex!™ Client

NexClient is both a ruby client and a command line tool for Nex!™ PaaS

## Install

You can install the gem by running:
```bash
gem install nex_client
```

or update an existing version by running
```bash
gem update nex_client
```

## Getting started with the cli

Configure your environment and get started with the tool
```bash
# Setup environment
export NEX_ENV=<development|uat|production> # optional - defaulting to 'uat' at the moment
# OR
export NEX_ENDPOINT=https://api.somenexhost.com

# Set authentication
export NEX_API_KEY=my-nex-key

# Display all available commands
nex-cli --help
```
